xampp + ruby

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

xampp + ruby

Postby shevegen » 21. January 2005 03:59

Hi,
hat wer von euch eine Idee, was ich tun muss, um mittels xampp ruby über apache
serven zu lassen ?

Geht hier eher um kleinere scripte die in ruby anstatt in perl geschrieben sind, und ich möchte dafür nit webrick verwenden
User avatar
shevegen
 
Posts: 107
Joined: 08. June 2004 04:52

Postby DJ DHG » 21. January 2005 10:55

Moin Moin

http://www.modruby.net

mfg DJ DHG
User avatar
DJ DHG
AF Moderator
 
Posts: 2455
Joined: 27. December 2002 13:50
Location: Kiel

Postby PF4 » 21. January 2005 11:41

"2 Dinge sind unendlich die Dummheit der Menschheit und das Universum , aber beim Universum bin ich mir noch nicht sicher“
Albert Einstein
PF4
 
Posts: 528
Joined: 10. March 2003 09:15

Postby shevegen » 22. January 2005 21:26

Ok hab mod_ruby runtergeladen, entpackt,

configure.rb gibt diese Meldung:

"checking for static Apache module support... no
checking for dynamic Apache module support... cannot open /opt/lampp/build/config_vars.mk: Datei oder Verzeichnis nicht gefunden at /opt/lampp/bin/apxs line 217.
cannot open /opt/lampp/build/config_vars.mk: Datei oder Verzeichnis nicht gefunden at /opt/lampp/bin/apxs line 217.
cannot open /opt/lampp/build/config_vars.mk: Datei oder Verzeichnis nicht gefunden at /opt/lampp/bin/apxs line 217.
configure.rb: error: failed to exec apxs
"



Verzeichnis /opt/lampp/build/ etc. existiert nit

Was ist überhaupt eine .mk Datei ? Eine die für "make" wichtig ist ?
User avatar
shevegen
 
Posts: 107
Joined: 08. June 2004 04:52

Postby PF4 » 22. January 2005 21:48

Du must schon das -dev paket installieren
Ich hab Ruby + mod auch schon in XAMPP compiliert
das sollte kein Prob sein
"2 Dinge sind unendlich die Dummheit der Menschheit und das Universum , aber beim Universum bin ich mir noch nicht sicher“
Albert Einstein
PF4
 
Posts: 528
Joined: 10. March 2003 09:15

Postby shevegen » 23. January 2005 04:54

Ich <-- Verwirrung :)

welches -dev Paket ?
ruby rennt hier tadellos aus den sources, meinst du ein ruby-dev paket ?



Grüsse,

shev
User avatar
shevegen
 
Posts: 107
Joined: 08. June 2004 04:52

Postby PF4 » 23. January 2005 10:44

nein das xampp-dev für Linux.
Du brauchst apxs um module für Apache zu backen.
Dieses ist aber erst im oben genannten Paket
"2 Dinge sind unendlich die Dummheit der Menschheit und das Universum , aber beim Universum bin ich mir noch nicht sicher“
Albert Einstein
PF4
 
Posts: 528
Joined: 10. March 2003 09:15


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 2 guests